ChartDirector Ver 5.0 (PHP Edition)

XYChart.addStepLineLayer

Usage

addStepLineLayer([ data [, color [, name ]]])

Description

Adds a step line chart layer to the XYChart.
In a step line layer, the data points are connected together using steps. The alignment of the steps relative to the data points can be configured using StepLineLayer.setAlignment.

Arguments

Argument | Default | Description
--- | --- | ---
data | [Empty_Array] | An array of numbers representing the data set.
color | -1 | The color to draw the step line. -1 means that the color is automatically selected from the palette.
name | "" | The name of the data set. The name will be used in the legend box, if one is available. An empty string means the data set has no name.

Return Value

A StepLineLayer object representing the step line layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.